Aller au contenu principal

Sujets

Cette espace vous permet de voir toutes les Sujets réalisées par ce membre. Vous ne pouvez voir que les Sujets réalisées dans les espaces auxquels vous avez accès.

Sujets - chalu

1
Nouvelles du projet openSUSE / 8 juin 2022 : sortie de Leap 15.4
Bonjour à tous :)

Leap 15.4 est sortie aujourd'hui.
La particpation des utilisateurs pour la recherche et corrections des bugs est importante.
Pour participer, n'hésitez pas à vous créer un compte qui vous permettra de vous connecter sur le wiki, le bugzilla et weblate et  sur le forum officiel international...
Les pages sur lesquelles la communauté Alionet d'openSUSE intervient pour la sortie de Leap 15.4, il s'agit de traduire les annonces et informations du wiki en anglais ;) :
Comme vous le constaterez, l'annonce n'est pas encore traduite donc si quelqu'un veut participer, ce serait super 👍

2
Programmes et logiciels / openBoard sur Tumbleweed
Bonjour,
Actuellement, il n’est plus possible d’installer la version d’openBoard du dépôt éducation car des dépendances de la version 1.6.1 d’openBoard ont été supprimées des dépôts openSUSE.
Citer
nothing provides pkgconfig(Qt5WebKit), nothing provides pkgconfig(Qt5WebKitWidgets)
Si vous en avez besoin, vous pouvez installer la version 1.7 qui est encore expérimentale mais ne semble pas trop bugguée et qui a le mérite de ne plus avoir besoin des paquets supprimés.Le dépôt est maintenu par la même personne que le dépôt éducation, on peut lui faire confiance.
https://build.opensuse.org/package/show/home:letsfindaway:experimental/OpenBoard

Pour ma part, j’avais installé openBoard avant la suppression des dépendances alors le paquet et les dépendances restent installés, par contre je n’ai pas intérêt à faire un nettoyage de paquets orphelins 😉

Il n’y a pas de souci pour Leap 15.3.
3
Général / Installer une ancienne application sur iPad/iPhone ancien. récupérer les photos
Bonjour à tous,
Je possède un iPad dont le système iOS est en version 12.5.5
Il ne peut plus évoluer vers une version récente d'iOS, il a une dizaine d'années mais il fonctionne très bien !
Avec un PC sous Windows 10, on peut récupérer facilement ses photos et aussi installer une version d'une ancienne appli de l'appstore qui demande une version plus récente d'iOS. Seulement en démarrant le PC sous Windows, voilà t'y pas que les plombs sautent ... je pense qu'un ventilo ou l'alimentation est fichu  :( !  Et alors comment faire quand on ne dispose plus que d'un PC sous Linux, openSUSE Tubleweed pour moi ? :o 
Ma solution a été d'utiliser virtualbox avec le pack d'extension pour gérer l'USB, d'installer Windows 10 (gratuit à installer et utiliser si ce n'est pas un vrai PC) puis d'installer le logiciel iTunes version 12.6.4 pour gérer depuis Windows les apps de mon iPad (ou sur iPhone, ça devrait fonctionner aussi)

Voici tous les détails et mes sources.
  • Installation de virtualbox depuis les dépôts officiels openSUSE avec YaST, je suis sous KDE donc j'ai choisi le paquet virtualbox-qt.
  • Si c'est la première utilisation de virtualbox, il faut ajouter votre utilisateur au groupe vboxusers avec la commande en root
    usermod -aG vboxusers nom-utilisateur
    Il faut fermer la session utilisateur et la rouvrir pour que ce soit pris en compte.
  • Installation du paquet d'extension qui va avec la version de virtualbox. On télécharge le paquet sur le site de vitualbox avec un navigateur internet en faisant bien attenbtion de prendre la version qui correspond à notre version de virtualbox. Une fois le téléchargement terminé, on démarre virtualbox. Dans Fichier > Paramètres > Extensions, on clique sur le bouton + puis on navigue jusqu'au dossier au où a téléchargé le pack, on le sélectionne pour l"'installer, le mot de passe root est demandé.
  • On crée ensuite une machine virtuelle pour windows10 en sélectionnant la configuration :
    • Type : Microsoft Windows et Version : Windows 10 (64bits)
    • Régler la quatité de RAM à 4096 Mo si c'est possible, le minimum est à 2048 mais ça risque de faire peu.
    • Créer un disque virtuel vdi dynamiquement alloué de 75 Go pour être confortable (ça ne prend pas toute cette place car c'est dynamiquement alloué, pour moi c'est à peine 15 Go pour l'instant)
  • On affine les réglages de la vm en la sélectionnant puis Configuration
  • Onglet Système : dans Général on peut décocher la disquette, pour le chipset j'ai choisi ICH9. Dans Processeur : mettre 2 CPU si possible et dans accélération mettre Hyper-V et laisser cocher "activer la pagination imbriquée"
  • Onglet affichage : le maximum de Mo pour la mémoire video et cocher acceleration 3D
  • Onglet Stockage : sélectionner le lecteur de disque "vide", cliquer sur "choisir un fichier disque" en bout de ligne de"lecteur optique" et naviguer jusqu'au dossier contenant l'ISO de windows 10 que vous aurez préalablement téléchargé depuis le site : https://www.microsoft.com/fr-fr/software-download/windows10ISO en sélectionnant l'édition puis la langue. Choisir ensuite le lien 64-bits qui est proposé. C'est une ISO qui fait 5,5 Go à peu près.
  • Onglet Dossiers partagés : On sélectionne Dossier permanent ou dossier temporaire et on clique sur le bouton + puis sur "Autre" dans chemin du dossier pour sélectionner un dossier du disque dur, Images par exemple ouun dossier créé spécialement.
Une fois l'ISO sélectionnée dans le lecteur optique, fermer la fenêtre de configuration de virtualbox et démarrer la machine virtuelle pour installer windows 10.
Bon à savoir :
On passe la saisie de la clé produit, ça pose pas de problème dans une machine virtuelle.
On évite l'obligation de créer un compte utilisateur distant avec compte microsoft lors de l'installation en désactivant la carte réseau dans les périphériques ce qui coupe internet et oblige à la création d'un utilisateur local.

Récupération des photos :
Une fois l'installation faite et la vm windows 10 opérationnelle.
Je branche l'iPad déverrouillé sur le PC et on coche dans la vm windows Périphériques > USB iPad. Sur l'écran de l'iPad il faut autoriser la connexion avec l'ordinateur.
On ouvre ensuite l'explorateur de fichiers de Windows et on accède à l'iPad et à son répertoire DCIM où on peut copier les photos et vidéos pour aller les coller dans notre dossier partagé et ainsi y avoir accès depuis openSUSE.

Installation d'une ancienne application plus disponible sur l’Appstore alors qu’une version compatible avec notre version d’iOS a existé :
Pour installer une application qui n'est plus disponible pour notre version d'iOS et que l'on n'a jamais installée, mais dont une version compatible a pourtant existé, on peut procéder ainsi :
L'iPad n'est pas connecté au PC. Je veux installer sur mon iPad l'application PressReader qui n'est plus disponible qu'à partir d'iOS 13. C'est une application ancienne, des versions ont été créées pour iOS 12, mais elles ne sont pas proposées dans l'Appstore de l'iPad.
On installe dans la vm windows la version 12.6.4 d'iTunes qui fonctionne sous Windows 10 64bits et permet de gérer les applications de l'iPad.
On lance iTunes > Compte et on s'identifie avec son compte apple, il a fallu que je confirme que c'était bien moi sur l'iPad.
Une fois identifié, on éteint l'iPad pour que la suite fonctionne.
On ouvre iTunes sur la vm.
On clique sur "store" (à droite de Radio), on cherche l'apps, dans mon cas pressreader.
Elle apparait avec un bouton "obtenir". On clique sur ce bouton. Une fois qu'elle est téléchargé dans iTunes, on ne pourra rien en faire mais ça permet lorsque l'on rallume l'iPad et que l'on va dans l'AppSore de rechercher l'apps Pressreader.
Elle apparait avec "un nuage" comme les applications que l'on a déjà installé puis désinstallé.
En cliquant sur le bouton pour installer, on a un message qui nous demande si on souhaite installer la dernière version compatible.
Et voilà 8)

Les sources :
https://tutorielsgeek.com/comment-installer-windows-dans-virtualbox-sous-linux/
https://www.commentcamarche.net/mobile/ios/791-installer-des-applis-sur-iphone-ou-ipad-avec-une-ancienne-version-d-ios/




4
Nouvelles du projet openSUSE / IRC : openSUSE migre vers libera.chat
Bonsoir,
Si vous utilisez parfois les canaux IRC d’openSUSE sur freenode, il va y avoir du changement. Une migration de freenode vers libera.chat est programmée pour les jours qui viennent.
https://lists.opensuse.org/archives/list/factory@lists.opensuse.org/thread/LCFCHULXR6774YKWKX5ASKQG3ABN6B3P

Le réseau IRC Freenode a récemment été déserté par ses administrateurs qui ont fondé un nouveau réseau, suite à un conflit avec le propriétaire du nom de domaine de Freenode. Plusieurs projets ont fait le même choix qu’openSUSE.
5
Nouvelles du projet openSUSE / Leap 15.3 arrive bientôt... Elle est sortie maintenant !
Bonjour à tous :)

Dans un mois environ, Leap 15.3 sortira !
C'est la dernière ligne droite pour les traductions des annonces et du wiki.
Pour participer, n'hésitez pas à vous créer un compte qui vous permettra de vous connecter sur le wiki, le bugzilla et weblate et même je crois sur le forum officiel...
Les pages sur lesquelles la communauté Alionet d'openSUSE intervient pour la sortie de Leap 15.3, il s'agit de traduire les annonces et informations du wiki en anglais ;) :
6
Général / FAQ openSUSE
Bonjour à tous :)
Ce fil épinglé compile les réponses et liens vers le wiki d'openSUSE des questions les plus fréquentes sur le forum.
Il est verrouillé pour garder la meilleure lisibilité possible. Son but est de faciliter l'entraide et la mise en œuvre des résolutions de problèmes (pas si nombreux que ça sur openSUSE ;) ).
Un fil dédié a été créé pour vous permettre de participer à cette FAQ en proposant, corrigeant ... etc

FAQ
1. Leap (stable) ou Tumbleweed (rolling) ?
Le choix entre Leap et Tumbleweed tient à plusieurs éléments :
  • GPU ? Si on a un GPU Nvidia et que l'on doit utiliser les pilotes propriétaires, une rolling release est souvent bien plus galère... les pilotes propriétaires ne sont pas toujours mis à jour en même temps que le noyau et on se retrouve dans ce cas avec un écran noir
  • Matériel récent ? Si le matériel est très récent, il se peut que Leap ne passe pas et oblige donc l'utilisation de Tumbleweed. Sachez toutefois que les développeurs d'openSUSE réalisent des backports des modules du noyau et des pilotes pour assurer la meilleure compatibilité matérielle possible. Le mieux est donc de tester à l'aide d'une ISO Live de Leap la compatibilité matérielle.
  • Usage pro/besoin de stabilité à tout prix ? ===> distribution stable.
  • Bonne connexion internet ? Et ou souvent en déplacement ? ==> une rolling release, c'est souvent plusieurs Go de mises à jour, donc si on bouge beaucoup et qu'on veut être à jour niveau mises à jour de sécurité, il faut tenir compte de ça.

2. Actions à faire juste après l'installation

    2.1 Ajouter le dépôt Packman et installer les codecs multimédias
        ⚡ Pour pouvoir lire les vidéos et autres fichiers multimédias, cette étape est incontournable.
    2.2 Installer les périphériques : imprimantes, scanner...
          En reliant le périphérique allumé via USB au PC, celui-ci devrait s'installer sans difficulté.
    2.3 Enregistrer le mot de passe WiFi - kwallet (bureau KDE)

3. Problèmes d'affichage
    3.1 Installer les pilotes propriétaires Nvidia
    3.2 Installer les pilotes propriétaires AMDGPU-PRO
    3.3 Écran noir après une mise à jour du système
Après une mise à jour du noyau, on se retrouve avec un écran noir. Il faut penser, en particulier sur Tumbleweed, aux pilotes propriétaires Nvidia qui sont peut-être en retard dans leur mises à jour par rapport au noyau. Dans ce cas, tester un démarrage sur l'ancien noyau via les options avancés de GRUB ou revenez à l'instantané précédent en le sélectionnant sur la page GRUB.

4. Le terminal root est en anglais
Pour activer le français dans le terminal root :
Ouvrir YaST > Rubrique Système > Cliquer sur Sysconfig Editor
Dans le panneau gauche de la fenêtre qui s'est ouverte :
"déplier" System > Environment > Language
Cliquer sur la ligne ROOT_USES_LANG
Dans le champ Configuration de : ROOT_USES_LANG, saisir au clavier yes
Valider en cliquant sur le bouton Ok

5. Accès au partage Samba/ NAS / Disque dur
Il semble qu'il y ait un souci avec le protocole smbv1 obsolète et pourtant encore utilisé.
[La solution que j'avais donné sur le forum](https://www.alionet.org/index.php?topic=36.msg363#msg363) pour Leap 15.1 par exemple pour accéder au disque dur branché sur la freebox via dolphin ne fonctionne pas sous Tumbleweed.
Note : les Freebox sont passés au protocole smbv2 et le partage est de nouveau fonctionnel sur Tumbleweed

6. Obtenir une version plus récente d'un logiciel sur Leap 15.x
Leap 15.x est la distribution stable d'openSUSE. Contrairement à la version rolling Tumbleweed, vous ne recevrez pas, lors des mises à jour sur Leap 15.x, les dernières versions des logiciels comme par OBS-Studio. Dans ce cas, pour ne pas compromettre la stabilité de Leap en ajoutant des dépôts externes comme les dépôts home, vous pouvez installer la version flatpak du logiciel.

7. Masquer le menu d'amorçage GRUB
Yast > Système > Chargeur d'amorçage > Options du chargeur d'amorçage;

vous pouvez soit mettre le timing à 0 secondes soit "masquer le menu d'amorçage"; à noter que choisir cette option ne supprime pas (apparemment) le délai en seconde; si vous laissez 8 secondes, pendant 8 secondes vous aurez un écran noir.
Notez que le menu GRUB permet un accès facile au snapshot en cas de souci.
8
Programmation / erreur avec jupyter notebook dans anaconda
Bonsoir :)
Je dois suivre une formation python samedi et on m'a demandé d'installer anaconda, ce que j'ai fait en suivant le tuto du site microlinux
Quand je lance le navigateur anaconda, j'ai un avertissement :
 ensuite pour la formation je dois cliquer sur jupyter notebook sauf que là j'ai une erreur !
 p, li { white-space: pre-wrap; } 
[I 19:10:14.516 NotebookApp] The port 8888 is already in use, trying another port.
[I 19:10:14.516 NotebookApp] The port 8889 is already in use, trying another port.
[I 19:10:14.516 NotebookApp] The port 8890 is already in use, trying another port.
[W 19:10:14.517 NotebookApp] Error loading server extension ipyparallel.nbextension
Traceback (most recent call last):
File "/home/chalu/Anaconda/lib/python3.8/site-packages/notebook/notebookapp.py", line 1942, in init_server_extensions
mod = importlib.import_module(modulename)
File "/home/chalu/Anaconda/lib/python3.8/importlib/__init__.py", line 127, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
File "", line 1014, in _gcd_import
File "", line 991, in _find_and_load
File "", line 961, in _find_and_load_unlocked
File "", line 219, in _call_with_frames_removed
File "", line 1014, in _gcd_import
File "", line 991, in _find_and_load
File "", line 973, in _find_and_load_unlocked
ModuleNotFoundError: No module named 'ipyparallel'
[I 19:10:14.552 NotebookApp] JupyterLab extension loaded from /home/chalu/Anaconda/lib/python3.8/site-packages/jupyterlab
[I 19:10:14.552 NotebookApp] JupyterLab application directory is /home/chalu/Anaconda/share/jupyter/lab
[I 19:10:14.553 NotebookApp] Serving notebooks from local directory: /home/chalu
[I 19:10:14.553 NotebookApp] Jupyter Notebook 6.1.4 is running at:
[I 19:10:14.553 NotebookApp] http://localhost:8891/?token=a4d12b75029b9363b8a33f0b8041b60f2765405df467e1a8
[I 19:10:14.553 NotebookApp] or http://127.0.0.1:8891/?token=a4d12b75029b9363b8a33f0b8041b60f2765405df467e1a8
[I 19:10:14.553 NotebookApp] Use Control-C to stop this server and shut down all kernels (twice to skip confirmation).
[C 19:10:14.564 NotebookApp]

To access the notebook, open this file in a browser:
file:///home/chalu/.local/share/jupyter/runtime/nbserver-20278-open.html
Or copy and paste one of these URLs:
http://localhost:8891/?token=a4d12b75029b9363b8a33f0b8041b60f2765405df467e1a8
or http://127.0.0.1:8891/?token=a4d12b75029b9363b8a33f0b8041b60f2765405df467e1a8
[W 19:10:17.276 NotebookApp] 404 GET /clusters?_=1616091016996 (127.0.0.1) 9.75ms referer=http://localhost:8891/tree
ça s'annonce mal pour la formation de samedi  :(
le port 8888 est utilisé, je ne sais même pas comment savoir par quoi  :-*
No module named 'ipyparallel' : il faudrait peut-être installer un truc mais je ne sais pas comment.

Le lancement de spyder comme dans le tuto m'a semblé fonctionner par contre

Si quelqu'un connait ce bazar et peut m'aider, merci d'avance  :)
9
Programmes et logiciels / tumbleweed-cli pour gérer les snapshots (instantanées)
Bonjour,
J'ai découvert ce paquet qui me semble plutôt être une bonne idée
https://review.tumbleweed.boombatower.com/about.html
ou ici https://cubiclenate.com/2019/06/23/more-opensuse-tumbleweed-awesomeness/
L'avantage serait par exemple que si on a un bug important (comme pas de wifi ou...) sur un instantané et que l'on revient sur le précédent, on aurait quand même la possibilité d'installer un logiciel, chose qui est difficile dans cette situation avec zypper in <paquet> car tout a été reconstruit pour le dernier snapshot.
Du moins c'est ce que j'ai compris. ;)

Il en a été question dans une discussion que j'ai lu ce week-end sur les mailing list openSUSE avec l'objectif de le rendre plus visible.

Certains le connaissent ? l'utilisent ?
10
Général / dépôt debug
Bonjour,
Mes essais pour installer pdfarranger ayant mis le bazar (one click install) dans les dépôts, j'ai fait du ménage.
zypper lr -u
Les priorités des dépôts sont sans effet. Tous les dépôts activés partagent la même priorité.

# | Alias                                | Name                                              | Enab-> | GPG Check        | Refresh    | URI
--+--------------------------------------+---------------------------------------------------+--------+------------------+------------+-----------------------------------------------------------------------
1 | Office                               | Software around your office (openSUSE_Tumbleweed) | Oui    | (r ) Oui         | Non        | https://download.opensuse.org/repositories/Office/openSUSE_Tumbleweed/
2 | download.opensuse.org-non-oss        | Dépôt principal (NON-OSS)                         | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/tumbleweed/repo/non-oss/
3 | download.opensuse.org-oss            | Dépôt principal (OSS)                             | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/tumbleweed/repo/oss/
4 | download.opensuse.org-tumbleweed     | Dépôt principal de mise à jour                    | Oui    | (r ) Oui         | Oui        | http://download.opensuse.org/update/tumbleweed/
5 | packman.inode.at-openSUSE_Tumbleweed | Packman Repository                                | Oui    | (r ) Oui         | Oui        | http://packman.inode.at/suse/openSUSE_Tumbleweed/
6 | repo-debug                           | openSUSE-Tumbleweed-Debug                         | Non    | ----             | ----       | http://download.opensuse.org/debug/tumbleweed/repo/oss/
7 | repo-source                          | openSUSE-Tumbleweed-Source                        | Non    | ----             | ----       | http://download.opensuse.org/source/tumbleweed/repo/oss/
 
Est-ce que la liste est correcte et plus particulièrement, le repo-debug est-il aussi désactivé chez vous ?
Merci
11
Installation et boot / lenteur ou surcharge des serveurs openSUSE ou problème sur mon système ?
Bonjour,
Je n'avais pas ce souci sur mon ancien portable avec Leap.
Sur le nouveau dans ma signature avec Tumbleweed, je vais les mises à jour en ligne de commande en téléchargeant d'abord les paquets. J'ai pratiquement à chaque fois un problème de ce style comme avec la mise à jour de ce matin :
Les 7 NOUVEAUX paquets suivants vont être installés : 
  kernel-default-5.10.7-1.2 libgps28 libgtk-4-1 python3-iniconfig python3-pluggy python3-pytest python3-toml
 
Les 2 paquets suivants vont être SUPPRIMÉS :
  libgps27 libgtk-4-0
 
Les 26 paquets suivants vont être mis à jour :
  acpica akregator akregator-lang gmenudbusmenuproxy gtk4-branding-upstream gtk4-lang gtk4-schema libarchive13 libjpeg8 MozillaFirefox MozillaFirefox-translations-common
  openSUSE-release openSUSE-release-appliance-custom perl-DateTime-Calendar-Julian perl-Net-HTTP perl-Role-Tiny plasma5-session plasma5-session-wayland plasma5-workspace
  plasma5-workspace-lang plasma5-workspace-libs python3-ipython_genutils typelib-1_0-Gtk-4_0 xembedsniproxy yast2-network youtube-dl
 
Le produit suivant va être mis à jour :
  openSUSE Tumbleweed  20210113-0 -> 20210114-0
 
Le paquet suivant requiert un redémarrage du système :
  kernel-default-5.10.7-1.2
 
26 paquets à mettre à jour, 7 nouveaux, 2 à supprimer.
Taille de téléchargement totale : 179,3 MiB. Déjà en cache : 0 B. Téléchargement uniquement.
 
    Note : Redémarrage du système requis.
Continuer ? [o/n/v/...? affiche toutes les options] (o): 
Récupération de paquet MozillaFirefox-84.0.2-2.1.x86_64                                                                                  (1/33),  59,1 MiB (203,5 MiB décompressé)
Récupération : MozillaFirefox-84.0.2-2.1.x86_64.rpm ...[fait (2,1 MiB/s)]
Récupération de paquet acpica-20210105-1.1.x86_64                                                                                        (2/33), 944,1 KiB (  3,0 MiB décompressé)
Récupération : acpica-20210105-1.1.x86_64.rpm ...[fait]
Récupération de paquet akregator-20.12.1-2.1.x86_64                                                                                      (3/33),   1,1 MiB (  2,6 MiB décompressé)
Récupération : akregator-20.12.1-2.1.x86_64.rpm ...[fait (806,6 KiB/s)]
Récupération de paquet gmenudbusmenuproxy-5.20.5-1.2.x86_64                                                                              (4/33), 188,7 KiB (285,1 KiB décompressé)
Récupération : gmenudbusmenuproxy-5.20.5-1.2.x86_64.rpm ...[fait]
Récupération de paquet gtk4-schema-4.0.1-1.1.noarch                                                                                      (5/33),  56,1 KiB (  9,1 KiB décompressé)
Récupération : gtk4-schema-4.0.1-1.1.noarch.rpm ...[fait (1,3 MiB/s)]
Récupération de paquet libarchive13-3.5.1-1.1.x86_64                                                                                     (6/33), 374,3 KiB (840,8 KiB décompressé)
Récupération : libarchive13-3.5.1-1.1.x86_64.rpm ...[fait]
Récupération de paquet libgps28-3.22-1.1.x86_64                                                                                          (7/33), 103,7 KiB (190,0 KiB décompressé)
Récupération : libgps28-3.22-1.1.x86_64.rpm ...[fait]
Récupération de paquet libjpeg8-8.2.2-62.1.x86_64                                                                                        (8/33), 181,2 KiB (535,2 KiB décompressé)
Récupération : libjpeg8-8.2.2-62.1.x86_64.rpm ...[fait]
Récupération de paquet openSUSE-release-appliance-custom-20210114-833.1.x86_64                                                           (9/33),   7,5 KiB (   79   B décompressé)
Récupération : openSUSE-release-appliance-custom-20210114-833.1.x86_64.rpm .................................................................................................[fait]
Récupération de paquet perl-DateTime-Calendar-Julian-0.103-1.1.noarch                                                                   (10/33),  23,8 KiB ( 31,3 KiB décompressé)
Récupération : perl-DateTime-Calendar-Julian-0.103-1.1.noarch.rpm ...[fait]
Récupération de paquet perl-Net-HTTP-6.20-1.1.noarch                                                                                    (11/33),  42,6 KiB ( 74,9 KiB décompressé)
Récupération : perl-Net-HTTP-6.20-1.1.noarch.rpm ...[fait (6,6 KiB/s)]
Récupération de paquet perl-Role-Tiny-2.002003-1.1.noarch                                                                               (12/33),  37,7 KiB ( 62,0 KiB décompressé)
Récupération : perl-Role-Tiny-2.002003-1.1.noarch.rpm ...[fait]
Récupération de paquet plasma5-workspace-libs-5.20.5-1.2.x86_64                                                                         (13/33), 483,9 KiB (  1,4 MiB décompressé)
Récupération : plasma5-workspace-libs-5.20.5-1.2.x86_64.rpm ...[fait]
Récupération de paquet python3-iniconfig-1.1.1-1.1.noarch                                                                               (14/33),  16,2 KiB ( 22,1 KiB décompressé)
Récupération : python3-iniconfig-1.1.1-1.1.noarch.rpm ...[fait]
Récupération de paquet python3-pluggy-0.13.1-1.4.noarch                                                                                 (15/33),  44,4 KiB (133,8 KiB décompressé)
Récupération : python3-pluggy-0.13.1-1.4.noarch.rpm ...[fait]
Récupération de paquet python3-toml-0.10.2-1.1.noarch                                                                                   (16/33),  43,7 KiB (134,9 KiB décompressé)
Récupération : python3-toml-0.10.2-1.1.noarch.rpm ...[fait]
Récupération de paquet xembedsniproxy-5.20.5-1.2.x86_64                                                                                 (17/33), 148,7 KiB (152,9 KiB décompressé)
Récupération : xembedsniproxy-5.20.5-1.2.x86_64.rpm ...[fait]
Récupération de paquet yast2-network-4.3.38-1.1.noarch                                                                                 (18/33), 237,1 KiB (1018,7 KiB décompressé)
Récupération : yast2-network-4.3.38-1.1.noarch.rpm ...[erreur (13 B/s)]
Temps maximal dépassé lors de l'accès à 'http://download.opensuse.org/tumbleweed/repo/oss/noarch/yast2-network-4.3.38-1.1.noarch.rpm'.
Abandonner, réessayer, ignorer ? [a/r/i] (r): 
Nouvel essai...
Récupération : yast2-network-4.3.38-1.1.noarch.rpm ...[fait]
Récupération de paquet MozillaFirefox-translations-common-84.0.2-2.1.x86_64                                                             (19/33),  10,3 MiB ( 11,6 MiB décompressé)
Récupération : MozillaFirefox-translations-common-84.0.2-2.1.x86_64.rpm ........................................................................................[fait (2,2 MiB/s)]
Récupération de paquet akregator-lang-20.12.1-2.1.noarch                                                                                (20/33),   1,4 MiB (  3,1 MiB décompressé)
Récupération : akregator-lang-20.12.1-2.1.noarch.rpm ...[fait (2,2 MiB/s)]
Récupération de paquet libgtk-4-1-4.0.1-1.1.x86_64                                                                                      (21/33),   3,0 MiB (  8,8 MiB décompressé)
Récupération : libgtk-4-1-4.0.1-1.1.x86_64.rpm ...[fait (2,3 MiB/s)]
Récupération de paquet openSUSE-release-20210114-833.1.x86_64                                                                           (22/33),   1,1 MiB (222,0 KiB décompressé)
Récupération : openSUSE-release-20210114-833.1.x86_64.rpm ...[fait (2,7 MiB/s)]
Récupération de paquet python3-pytest-6.1.2-3.1.noarch                                                                                  (23/33), 603,2 KiB (  2,4 MiB décompressé)
Récupération : python3-pytest-6.1.2-3.1.noarch.rpm ...[fait]
Récupération de paquet plasma5-workspace-5.20.5-1.2.x86_64                                                                              (24/33),   6,9 MiB ( 17,3 MiB décompressé)
Récupération : plasma5-workspace-5.20.5-1.2.x86_64.rpm ...[fait (2,2 MiB/s)]
Récupération de paquet gtk4-branding-upstream-4.0.1-1.1.noarch                                                                          (25/33),  53,6 KiB (  413   B décompressé)
Récupération : gtk4-branding-upstream-4.0.1-1.1.noarch.rpm ...[fait]
Récupération de paquet kernel-default-5.10.7-1.2.x86_64                                                                                 (26/33),  83,6 MiB (180,1 MiB décompressé)
Récupération : kernel-default-5.10.7-1.2.x86_64.rpm ...[fait (2,2 MiB/s)]
Récupération de paquet python3-ipython_genutils-0.2.0-3.1.noarch                                                                        (27/33),  50,4 KiB (151,1 KiB décompressé)
Récupération : python3-ipython_genutils-0.2.0-3.1.noarch.rpm ...[fait]
Récupération de paquet plasma5-workspace-lang-5.20.5-1.2.noarch                                                                         (28/33),   4,1 MiB ( 17,0 MiB décompressé)
Récupération : plasma5-workspace-lang-5.20.5-1.2.noarch.rpm ...[fait (1,8 MiB/s)]
Récupération de paquet typelib-1_0-Gtk-4_0-4.0.1-1.1.x86_64                                                                             (29/33), 231,0 KiB (717,7 KiB décompressé)
Récupération : typelib-1_0-Gtk-4_0-4.0.1-1.1.x86_64.rpm ...[fait]
Récupération de paquet gtk4-lang-4.0.1-1.1.noarch                                                                                       (30/33),   3,0 MiB ( 18,0 MiB décompressé)
Récupération : gtk4-lang-4.0.1-1.1.noarch.rpm ...[fait (2,1 MiB/s)]
Récupération de paquet plasma5-session-5.20.5-1.2.noarch                                                                                (31/33), 120,5 KiB ( 66,3 KiB décompressé)
Récupération : plasma5-session-5.20.5-1.2.noarch.rpm ...[fait]
Récupération de paquet plasma5-session-wayland-5.20.5-1.2.x86_64                                                                        (32/33), 119,1 KiB ( 68,1 KiB décompressé)
Récupération : plasma5-session-wayland-5.20.5-1.2.x86_64.rpm ...[fait]
Récupération de paquet youtube-dl-2021.01.16-1.1.noarch                                                                                 (33/33),   1,7 MiB (  1,8 MiB décompressé)
Récupération : youtube-dl-2021.01.16-1.1.noarch.rpm ...[fait (346,3 KiB/s)]
Dans cette petite mise à jour (une quarantaine de paquets) il y a eu de nouveau ce souci de connexion avec le serveur d'openSUSE
Récupération : yast2-network-4.3.38-1.1.noarch.rpm ...[erreur (13 B/s)]
Temps maximal dépassé lors de l'accès à 'http://download.opensuse.org/tumbleweed/repo/oss/noarch/yast2-network-4.3.38-1.1.noarch.rpm'.
Abandonner, réessayer, ignorer ? [a/r/i] (r):
Nouvel essai...
Je n'ai pas d'autre part de souci intenet avec firefox dans le même temps.
Sur un nombre plus élevé de mises à jour, ça se produit plusieurs fois. ça m'énerve, je fais Ctrl C pour arrêter et je relance la commande zypper dup -
ça retélécharge avant de bloquer un peu plus loin.
Avez-vous le même souci ou une idée d'où ça peut venir ?

Edit : en charchant sur le net je suis tombée sur le wiki ubuntu https://doc.ubuntu-fr.org/wifi
Sur l'une des commandes indiquées, j'ai ce retour, et chez vous ?
sudo iw reg get
[sudo] Mot de passe de root :
global
country 00: DFS-UNSET
        (2402 - 2472 @ 40), (N/A, 20), (N/A)
        (2457 - 2482 @ 20), (N/A, 20), (N/A), AUTO-BW, PASSIVE-SCAN
        (2474 - 2494 @ 20), (N/A, 20), (N/A), NO-OFDM, PASSIVE-SCAN
        (5170 - 5250 @ 80), (N/A, 20), (N/A), AUTO-BW, PASSIVE-SCAN
        (5250 - 5330 @ 80), (N/A, 20), (0 ms), DFS, AUTO-BW, PASSIVE-SCAN
        (5490 - 5730 @ 160), (N/A, 20), (0 ms), DFS, PASSIVE-SCAN
        (5735 - 5835 @ 80), (N/A, 20), (N/A), PASSIVE-SCAN
        (57240 - 63720 @ 2160), (N/A, 0), (N/A)

phy#0 (self-managed)
country DE: DFS-UNSET
        (2402 - 2437 @ 40), (6, 22), (N/A), AUTO-BW, NO-HT40MINUS, NO-80MHZ, NO-160MHZ
        (2422 - 2462 @ 40), (6, 22), (N/A), AUTO-BW, NO-80MHZ, NO-160MHZ
        (2447 - 2482 @ 40), (6, 22), (N/A), AUTO-BW, NO-HT40PLUS, NO-80MHZ, NO-160MHZ
        (5170 - 5190 @ 160), (6, 22), (N/A), NO-OUTDOOR, AUTO-BW, IR-CONCURRENT, NO-HT40MINUS, PASSIVE-SCAN
        (5190 - 5210 @ 160), (6, 22), (N/A), NO-OUTDOOR, AUTO-BW, IR-CONCURRENT, NO-HT40PLUS, PASSIVE-SCAN
        (5210 - 5230 @ 160), (6, 22), (N/A), NO-OUTDOOR, AUTO-BW, IR-CONCURRENT, NO-HT40MINUS, PASSIVE-SCAN
        (5230 - 5250 @ 160), (6, 22), (N/A), NO-OUTDOOR, AUTO-BW, IR-CONCURRENT, NO-HT40PLUS, PASSIVE-SCAN
        (5250 - 5270 @ 160), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40MINUS, PASSIVE-SCAN
        (5270 - 5290 @ 160), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40PLUS, PASSIVE-SCAN
        (5290 - 5310 @ 160), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40MINUS, PASSIVE-SCAN
        (5310 - 5330 @ 160), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40PLUS, PASSIVE-SCAN
        (5490 - 5510 @ 240), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40MINUS, PASSIVE-SCAN
        (5510 - 5530 @ 240), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40PLUS, PASSIVE-SCAN
        (5530 - 5550 @ 240), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40MINUS, PASSIVE-SCAN
        (5550 - 5570 @ 240), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40PLUS, PASSIVE-SCAN
        (5570 - 5590 @ 240), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40MINUS, PASSIVE-SCAN
        (5590 - 5610 @ 240), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40PLUS, PASSIVE-SCAN
        (5610 - 5630 @ 240), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40MINUS, PASSIVE-SCAN
        (5630 - 5650 @ 240), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40PLUS, PASSIVE-SCAN
        (5650 - 5670 @ 80), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40MINUS, NO-160MHZ, PASSIVE-SCAN
        (5670 - 5690 @ 80), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40PLUS, NO-160MHZ, PASSIVE-SCAN
        (5690 - 5710 @ 80), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40MINUS, NO-160MHZ, PASSIVE-SCAN
        (5710 - 5730 @ 80), (6, 22), (0 ms), DFS, AUTO-BW, NO-HT40PLUS, NO-160MHZ, PASSIVE-SCAN
        (5735 - 5755 @ 80), (6, 22), (N/A), AUTO-BW, NO-HT40MINUS, NO-160MHZ
        (5755 - 5775 @ 80), (6, 22), (N/A), AUTO-BW, NO-HT40PLUS, NO-160MHZ
        (5775 - 5795 @ 80), (6, 22), (N/A), AUTO-BW, NO-HT40MINUS, NO-160MHZ
        (5795 - 5815 @ 80), (6, 22), (N/A), AUTO-BW, NO-HT40PLUS, NO-160MHZ
        (5815 - 5835 @ 20), (6, 22), (N/A), AUTO-BW, NO-HT40MINUS, NO-HT40PLUS, NO-80MHZ, NO-160MHZ
j'ai l'impression d'avoir des serveurs allemands ?  country DE: DFS-UNSET
12
Programmes et logiciels / pdfarranger ne se lance pas
Bonjour,
Je suis donc sur Tumbleweed maintenant et je réinstalle mes logiciels
Problème : pdfshuffler n'est pas dans Tumbleweed
J'ai trouvé pdfarranger qui est son fork/futur si j'en crois ceci https://github.com/tgbugs/pdfshuffler
sauf qu'il ne se lance pas chez moi
chalu@localhost:~> pdfarranger 
Traceback (most recent call last):
  File "/usr/bin/pdfarranger", line 11, in <module>
    load_entry_point('pdfarranger==1.6.2', 'console_scripts', 'pdfarranger')()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 489, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2852, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2443, in load
    return self.resolve()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2449, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.8/site-packages/pdfarranger/pdfarranger.py", line 88, in <module>
    gi.require_version('Gtk', '3.0')
  File "/usr/lib64/python3.8/site-packages/gi/__init__.py", line 126, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace Gtk not available
Je l'ai installé en suivant ces commandes
zypper addrepo https://download.opensuse.org/repositories/Office/openSUSE_Tumbleweed/Office.repo
zypper refresh
zypper install pdfarranger
13
Matériel / Avis sur différents portables pour achat
Bonjour,
La carte mère de mon PC portable ACER aspire 5740G m'a lâchée il y a 3 semaines après plus de 10 ans d'utilisation. J'ai récupéré le disque dur dans un boitier externe ce qui me permet de retrouver mon système habituel et mes documents sur mon PC qui est sur Windows.
Je vais cependant réinvestir dans un portable pour pouvoir travailler où je veux pour un usage bureautique/internet/multimedia avec un SSD de 500 Go au moins.
J'hésite entre différents modèles.
J'en ai vu plusieurs sur LDLC :
https://www.ldlc.com/comparer/c4265/AR202003300102-AR202003090040-AR202003260141-AR202003090041
à processeur identique, les MSI me semblent plus intéressants que les LDLC en nombre de ports USB, on peut ajouter un disque (plus tard si besoin) et il y a plus de capacités pour étendre la mémoire.
Comme on n'a pas toujours les mêmes informations d'un modèle à l'autre, ce n'est pas évident de comparer.

Est-ce que les disques M.2 - PCI-E NVMe sont mieux que M.2 - SATA 6Gb/s  ?
J'imagine que le modèle/marque des disques comptent aussi mais on ne les a pas.
Il y a aussi la question de la compatibilité avec Linux.

Ce sont des modèles sans pavé numérique mais si j'ajoute cette contrainte, les prix grimpent plus vite :P

J'ai regardé chez Tuxedo, j'imagine que c'est plus fiable pour la compatibilité linux ?
https://www.tuxedocomputers.com/en/Linux-Hardware/Linux-Notebooks/15-16-inch/TUXEDO-Book-BC1510.tuxedo
on a plus d'infos sur ce qui est utilisé comme composants sans connaître tout quand même
ça a l'air complet.

4 cellules pour la batterie, ça a quelle conséquence ?

Merci à ceux qui me donneront leurs avis :)
15
Internet, réseaux et serveurs / erreur de permission dans la mise à jour de openssh
Bonjour,
J'ai eu une mise à jour ce matin de Leap 15.2 et j'ai pu lire le message suivant :
(16/23) Installation de : openssh-8.1p1-lp152.4.3.1.x86_64 ...............................................................[fait]
Sortie rpm supplémentaire:
Updating /etc/sysconfig/ssh ...
setting /etc/ssh/sshd_config to root:root 0640. (wrong permissions 0600)
Avez-vous eu aussi cette erreur de permission ?
Je n'ai pas de serveur installé sur ce PC, Il me semble que le service SSH était indiqué "désactivé" quand j'ai fait l'installation de leap 15.2 . Pour vérifier qu'il est bien désactivé, en utilisateur normal, j'obtiens ça
systemctl status sshd
● sshd.service - OpenSSH Daemon
  Loaded: loaded (/usr/lib/systemd/system/sshd.service; disabled; vendor preset: disabled)
  Active: inactive (dead)
donc pour moi c'est bon il est désactivé ce service dont je n'ai pas besoin, vous confirmez ?
pourquoi est-il chargé ?
Que penser de l'erreur de permission ?
Merci pour vos éclairages :)